<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: random_center_photo_panel.php
| Version: 1.0
| Author: jikaka
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."last_photo_center_panel/locale/".$settings['locale'].".php")) {
   include INFUSIONS."last_photo_center_panel/locale/".$settings['locale'].".php";
} else {
   include INFUSIONS."last_photo_center_panel/locale/English.php";
}

$result=dbquery(
   "SELECT ta.album_id,album_title,photo_id,photo_title,photo_thumb1 FROM ".$db_prefix."photo_albums ta ".
   "JOIN ".$db_prefix."photos USING (album_id) ORDER BY photo_id DESC LIMIT 0,5"
   );

$result2=dbquery(
   "SELECT ta.album_id,album_title,photo_id,photo_title,photo_thumb1 FROM ".$db_prefix."photo_albums ta ".
   "JOIN ".$db_prefix."photos USING (album_id) ORDER BY photo_id DESC LIMIT 5,5"
   );

$result3=dbquery(
   "SELECT ta.album_id,album_title,photo_id,photo_title,photo_thumb1 FROM ".$db_prefix."photo_albums ta ".
   "JOIN ".$db_prefix."photos USING (album_id) ORDER BY photo_id DESC LIMIT 10,5"
   );

opentable($locale['rpc100']);
if ((dbrows($result)!= "0") && (dbrows($result2)!= "0") && (dbrows($result3)!= "0")) {
   echo "<br><table width='100%' border='0' cellpadding='0' cellspacing='0'><tr>";
   while($data = dbarray($result)) {
      echo "<td width='1%' align='center' valign='top' class='tbl'>";
      echo "<a href='".BASEDIR."photogallery.php?photo_id=".$data['photo_id']."' class='side'>";
      echo "<img src='".PHOTOS."album_".$data['album_id']."/".$data['photo_thumb1']."' width='100' height='75' title='".$data['photo_title']."' alt='".$data['photo_title']."' border='0'></a>";
      echo "<br /><a href='".BASEDIR."photogallery.php?photo_id=".$data['photo_id']."'>".$data['photo_title']."</a>";
      echo "<br />".$locale['rpc101']."<br /><a href='".BASEDIR."photogallery.php?album_id=".$data['album_id']."' title='".$data['album_title']."'>".$data['album_title']."</a>";
      echo "</td>";
   }
   echo "</tr><tr>";
   while($data2 = dbarray($result2)) {
      echo "<td width='1%' align='center' valign='top' class='tbl'>";
      echo "<a href='".BASEDIR."photogallery.php?photo_id=".$data2['photo_id']."' class='side'>";
      echo "<img src='".PHOTOS."album_".$data2['album_id']."/".$data2['photo_thumb1']."' width='100' height='75' title='".$data2['photo_title']."' alt='".$data2['photo_title']."' border='0'></a>";
      echo "<br /><a href='".BASEDIR."photogallery.php?photo_id=".$data2['photo_id']."'>".$data2['photo_title']."</a>";
      echo "<br />".$locale['rpc101']."<br /><a href='".BASEDIR."photogallery.php?album_id=".$data2['album_id']."' title='".$data2['album_title']."'>".$data2['album_title']."</a>";
      echo "</td>";
   }
   echo "</tr><tr>";
   while($data3 = dbarray($result3)) {
      echo "<td width='1%' align='center' valign='top' class='tbl'>";
      echo "<a href='".BASEDIR."photogallery.php?photo_id=".$data3['photo_id']."' class='side'>";
      echo "<img src='".PHOTOS."album_".$data3['album_id']."/".$data3['photo_thumb1']."' width='100' height='75' title='".$data3['photo_title']."' alt='".$data3['photo_title']."' border='0'></a>";
      echo "<br /><a href='".BASEDIR."photogallery.php?photo_id=".$data3['photo_id']."'>".$data3['photo_title']."</a>";
      echo "<br />".$locale['rpc101']."<br /><a href='".BASEDIR."photogallery.php?album_id=".$data3['album_id']."' title='".$data3['album_title']."'>".$data3['album_title']."</a>";
      echo "</td>";
   }
   echo "</tr></table>";
} else {
   echo $locale['rpc102'];
}
closetable();
?>
